Subject: [straw] [Editorial Errata Reported] RFC7332 (4108)

From: RFC Errata System <[email-masked]>
Date: Thu, 11 Sep 2014 06:22:57 -0700 (PDT)

The following errata report has been submitted for RFC7332,
"Loop Detection Mechanisms for Session Initiation Protocol (SIP) Back-to-Back User Agents (B2BUAs)".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=7332&eid=4108

--------------------------------------
Type: Editorial
Reported by: Chozhan A <[email-masked]>

Section: 5

Original Text
-------------
If the received request did not contain a Max-Forwards header field,
one MUST be created in any request generated in the UAC side, as
described for proxies in Section 16.6, Step 3 of [RFC3261].

Corrected Text
--------------
If B2BUA creates a request as a result of processing a
incoming response, Max-Forwards MUST be added in any request
generated in the UAC side, as described for proxies in
Section 16.6, Step 3 of [RFC3261].

Notes
-----
Max-Forward is mandatory for Request as per RFC 3261. So this case is possible only on response processing.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC7332 (draft-ietf-straw-b2bua-loop-detection-04)
--------------------------------------
Title               : Loop Detection Mechanisms for Session Initiation Protocol (SIP) Back-to-Back User Agents (B2BUAs)
Publication Date    : August 2014
Author(s)           : H. Kaplan, V. Pascual
Category            : PROPOSED STANDARD
Source              : Sip Traversal Required for Applications to Work
Area                : Real-time Applications and Infrastructure
Stream              : IETF
Verifying Party     : IESG

---

From: Brett Tate <[email-masked]>
Date: Thu, 11 Sep 2014 10:05:28 -0400

Hi,

I think RFC 7332 errata 4108 should be rejected.

The errata should be rejected because the original text clarifies the
B2BUA behavior (in relation to section 5 paragraph 2) when Max-Forwards is
not present in the received request.

Similarly, I don't think that the proposed corrected text is needed.

Concerning the errata notes, receiving requests without Max-Forwards is
possible.  Adding Max-Forwards was optional for RFC 2543 compliant
devices.

Thanks,
Brett

> Section: 5
>
> Original Text
> -------------
> If the received request did not contain a Max-Forwards header field, one
> MUST be created in any request generated in the UAC side, as described
for
> proxies in Section 16.6, Step 3 of [RFC3261].
>
> Corrected Text
> --------------
> If B2BUA creates a request as a result of processing a incoming
response,
> Max-Forwards MUST be added in any request generated in the UAC side, as